task_stream.h File Reference
`#include "tbb/tbb_stddef.h"`
`#include <deque>`
`#include <climits>`
`#include "tbb/atomic.h"`
`#include "tbb/spin_mutex.h"`
`#include "tbb/tbb_allocator.h"`
`#include "scheduler_common.h"`
`#include "tbb_misc.h"`
Include dependency graph for task_stream.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | tbb::internal::queue_and_mutex< T, mutex_t >
| Essentially, this is just a pair of a queue and a mutex to protect the queue. More...
class | tbb::internal::task_stream< Levels >
| The container for "fairness-oriented" aka "enqueued" tasks. More...

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Typedefs

typedef uintptr_t | tbb::internal::population_t

## Functions

void | tbb::internal::set_one_bit (population_t &dest, int pos)
void | tbb::internal::clear_one_bit (population_t &dest, int pos)
bool | tbb::internal::is_bit_set (population_t val, int pos)

## Variables

const population_t | tbb::internal::one = 1

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.